#pragma once
#include "Location.h" 
#include <random>
#include "Planet.h"
#include "Constants.h"
#include "Ship.h"

struct Sector
{
	Sector()
	{
		loc = EMPTY;
		star = false;
	}
	Location loc;
	bool star;
	std::vector<Planet> planet;
	std::vector<Ship> ship;
};

class Galaxy
{
public:
	Galaxy(std::mt19937& rng);
	Sector get_sector(int i);
private:
	Sector sector[GALAXY_SIZE];
};
