#pragma once

struct Project
{
	Project()
		:
		type(' '),
		cost(0),
		improvement(false)
	{};
	Project(char t, int c, bool i)
		:
		type(t),
		cost(c),
		improvement(i)
	{};
	Project& operator =(Project rhs)
	{
		type = rhs.type;
		cost = rhs.cost;
		improvement = rhs.improvement;
		return *this;
	};
	char type;
	int cost;
	bool improvement;
};

namespace Projects
{
	const Project farm('F', 10, true);
	const Project city('C', 20, true);
	const Project mine('m', 15, true);
	const Project ship('s', 30, false);
	const Project school('S', 15, true);
	const Project lab('L', 15, true);
	const Project workplant('W', 15, true);
	const Project barracks('B', 15, true);
	const Project megacity('M', 40, true);
	const Project warp_drive('w', 20, false);
	const Project nuclear_missile('n', 15, false);
	const Project antimatter_bomb('a', 15, false);
	const Project start(' ', 0, false);
}