#pragma once
#include "Rect.h"
#include <string>
#include "Mouse.h"
#include "Graphics.h"
#include "Font.h"
#include "Colors.h"
#include "Action.h"
#include "Planet.h"
#include "Ship.h"



class Button
{
public:
	Button();
	Button(int left, int right, int top, int bottom, std::string s, Color c);
	void draw(Graphics& gfx,Font& f);
	bool is_clicked(Mouse& m);
	void draw_outline(Graphics& gfx);
	int get_bottom();
	void decrease_height(int decr);
private:
	Rect area;
	std::string text;
	Color colour;
};